#-------------------------------------------------------------
# Generated Example Tcl script for IP 'AMC_GTXv' (xilinx.com:ip:gtwizard:2.5)
#-------------------------------------------------------------

# Create project
create_project -name AMC_GTXv_example -force
set_property part xc7k325tffg900-2 [current_project]
set_property target_language vhdl [current_project]

# Import the original IP
import_ip -file {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv.xci} -name AMC_GTXv

# Generate the IP
reset_target {all} [get_ips AMC_GTXv]
proc _filter_supported_targets {targets ip} { set all [get_property SUPPORTED_TARGETS $ip]; set res {}; foreach a_target $targets { lappend res {*}[lsearch -all -inline -nocase $all $a_target] }; return $res }
generate_target [_filter_supported_targets {instantiation_template synthesis simulation} [get_ips AMC_GTXv]] [get_ips AMC_GTXv]

# Add example synthesis HDL files
add_files -scan_for_includes -fileset [current_fileset] { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/example_design/amc_gtxv_adapt_starter.vhd} } { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/example_design/amc_gtxv_adapt_top_dfe.vhd} } { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/example_design/amc_gtxv_agc_loop_fsm.vhd} } { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/example_design/amc_gtxv_ctle_agc_comp.vhd} } { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/example_design/amc_gtxv_exdes.vhd} } { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/example_design/amc_gtxv_gt_frame_check.vhd} } { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/example_design/amc_gtxv_gt_frame_gen.vhd} } { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/example_design/amc_gtxv_gt_usrclk_source.vhd} } { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/example_design/amc_gtxv_init.vhd} } { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/example_design/amc_gtxv_recclk_monitor.vhd} } { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/example_design/amc_gtxv_rx_startup_fsm.vhd} } { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/example_design/amc_gtxv_tx_startup_fsm.vhd} } { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/example_design/amc_gtxv_sync_block.vhd} }

# Add example miscellaneous synthesis files
add_files -fileset [current_fileset] { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/example_design/gt_rom_init_rx.dat} } { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/example_design/gt_rom_init_tx.dat} }

# Add example XDC files
add_files -fileset [current_fileset -constrset] { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/example_design/AMC_GTXv_exdes.xdc} }

# Add example simulation files
if { [catch {current_fileset -simset} exc] } {
  # Create default simset
  create_fileset -simset sim_1
}
add_files -scan_for_includes -fileset [current_fileset -simset] { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/simulation/amc_gtxv_tb.vhd} } { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/simulation/amc_gtxv_config_gtmodel.vhd} } { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/simulation/sim_reset_gt_model.vhd} }

# Add example miscellaneous simulation files
if { [catch {current_fileset -simset} exc] } {
  # Create default simset
  create_fileset -simset sim_1
}
add_files -fileset [current_fileset -simset] { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/simulation/functional/gt_rom_init_rx.dat} } { {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/AMC_GTXv/simulation/functional/gt_rom_init_tx.dat} }

# Import all files while preserving hierarchy
import_files

# Set top
set_property TOP [lindex [find_top] 0] [current_fileset]

# Source script extension file(s)
source {d:/vproject/AMC13XG/AMC13XG.srcs/sources_1/ip/AMC_GTXv_0/tcl/set_top.tcl}

