# file: ila_1.xdc
#////////////////////////////////////////////////////////////////////////////
#/$Date: 2012/02/06 10:34:16 $
#/$RCSfile: example_design_diff.ejava,v $
#/$Revision: 1.2 $
#//////////////////////////////////////////////////////////////////////////////
#/   ____  ____ 
#/  /   /\/   /
#/ /___/  \  /    Vendor: Xilinx
#/ \   \   \/     Version : 1.05
#/  \   \         Application : ILA V1.05a
#/  /   /         Filename : example_ila_1.xdc
#/ /___/   /\     
#/ \   \  /  \ 
#/  \___\/\___\
#/
#/ (c) Copyright 2010 Xilinx, Inc. All rights reserved.
#/ 
#/ This file contains confidential and proprietary information
#/ of Xilinx, Inc. and is protected under U.S. and
#/ international copyright and other intellectual property
#/ laws.
#/ 
#/ DISCLAIMER
#/ This disclaimer is not a license and does not grant any
#/ rights to the materials distributed herewith. Except as
#/ otherwise provided in a valid license issued to you by
#/ Xilinx, and to the maximum extent permitted by applicable
#/ law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
#/ WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
#/ AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
#/ BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
#/ INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
#/ (2) Xilinx shall not be liable (whether in contract or tort,
#/ including negligence, or under any other theory of
#/ liability) for any loss or damage of any kind or nature
#/ related to, arising under or in connection with these
#/ materials, including for any direct, or any indirect,
#/ special, incidental, or consequential loss or damage
#/ (including loss of data, profits, goodwill, or any type of
#/ loss or damage suffered as a result of any action brought
#/ by a third party) even if such damage or loss was
#/ reasonably foreseeable or Xilinx had been advised of the
#/ possibility of the same.
#/ 
#/ CRITICAL APPLICATIONS
#/ Xilinx products are not designed or intended to be fail-
#/ safe, or for use in any application requiring fail-safe
#/ performance, such as life-support or safety devices or
#/ systems, Class III medical devices, nuclear facilities,
#/ applications related to the deployment of airbags, or any
#/ other applications that could lead to death, personal
#/ injury, or severe property or environmental damage
#/ (individually and collectively, "Critical
#/ Applications"). Customer assumes the sole risk and
#/ liability of any use of Xilinx products in Critical
#/ Applications, subject only to applicable laws and
#/ regulations governing limitations on product liability.
#/ 
#/ THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
#/ PART OF THIS FILE AT ALL TIMES.
#Created by Constraints Editor 
#Specify clk constraints depending on the device selected

#CLK Constraints for KC705 board given as example
create_clock -period 5 -name example_clock [get_ports clk_p]
set_property DIFF_TERM TRUE [get_ports clk_p]
set_property DIFF_TERM TRUE [get_ports clk_n]
set_property IOSTANDARD DIFF_SSTL15 [get_ports clk_p]
set_property IOSTANDARD DIFF_SSTL15 [get_ports clk_n]
set_property PACKAGE_PIN AD12 [get_ports clk_p]
set_property PACKAGE_PIN AD11 [get_ports clk_n]


#set_property LOC BSCAN_X0Y0 [get_cells ICON_inst/U0/U_ICON/I_YES_BSCAN.U_BS/I_K7.ISYN.I_USE_SOFTBSCAN_EQ0.U_BS]
#set_property LOC BUFGCTRL_X0Y0 [get_cells ICON_inst/U0/U_ICON/I_YES_BSCAN.U_BS/I_USE_SOFTBSCAN_EQ0.I_USE_XST_TCK_WORKAROUND_EQ1.U_ICON_BSCAN_BUFG/U_BUFG]
#set_property LOC BUFGCTRL_X0Y1 [get_cells bufg_inst]
